local switch_box = {fixed = {(-1 / 2), (-1 / 2), (-1 / 2), (1 / 2), ((-1 / 2) + (4 / 16)), (1 / 2)}, type = "fixed"}
local ground_connect_resis = 0.10000000000000001
minetest.register_node("electricity:ground", {description = "Ground", drawtype = "nodebox", groups = {conductor = 1, crumbly = 3}, node_box = switch_box, on_destruct = reset_current, paramtype = "light", paramtype2 = "facedir", selection_box = switch_box, tiles = {"electricity_ground_top.png", "electricity_ground_bottom.png", "electricity_ground_side.png", "electricity_ground_side.png", "electricity_ground_side.png", "electricity_ground_connect_side.png"}})
local function _0_(pos, id)
  local dir = minetest.facedir_to_dir(minetest.get_node(pos).param2)
  local input = hash_node_connect(pos, vector.subtract(pos, dir))
  return {}, {{["neg-node"] = "gnd", ["pos-node"] = input, name = id, type = "consumer", value = ground_connect_resis}}
end
model["electricity:ground"] = _0_
return nil
